<?php

namespace App\Models\Shop;

use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\SoftDeletes;

use Wildside\Userstamps\Userstamps;
use Staudenmeir\EloquentHasManyDeep\HasRelationships;

class ArticleNature extends Model
{
    use HasRelationships, SoftDeletes, UserStamps;

    protected $guarded = ['id'];
    protected $table = 'shop_article_natures';
    
    public function articles()
    {
        return $this->hasMany(Article::class);
    }

    public function scopeByArticleNature($query, $id)
    {
        return $query->where($this->table . '.id', $id);
    }
}
